import uni from "@/utils/uniHooks";
import { mapState } from 'vuex';

export default {
  created() {
    const params = this.$route.query;
    this.msg = params.msg;
    this.vehicleNo = params.vehicleNo;
    setTimeout(() => {
      uni.setNavigationBarTitle({
        title: '停车出场提示',
      });
    }, 300);
    setTimeout(() => {
      window?.toWXSendMsg({
        type: 'uni_func',
        funcName: 'setNavigationBarColor',
        options: {
          frontColor: '#000000',
          backgroundColor: '#FAFBFF',
        },
      });
    }, 500)
  },
  data() {
    return {
      msg: '',
      vehicleNo: '',
      picUrl: this.$picUrl,
      colorAry: ['blue', 'green'],
    };
  },
  computed: {
    ...mapState({
      custTypeId: (state) => state.custTypeId,
    }),
  },
  methods: {
    search() {
      this.$router.back();
    },
  },
};
